message "Hit a key to start".
pause.

put screen row 1 col 1 "Toggle box events demo".

def var toggle0 as logical label "Check here to generate VALUE-CHANGED" view-as toggle-box.

def button btnExit label "Exit".
def button btnSel label "Select".

def frame f0
   skip(1)
   toggle0 skip
   btnSel skip(1)
   btnExit
   with centered row 5 width 60 title "Toggle-box widget demo, CHECKED attribute" side-labels.

display toggle0 btnSel btnExit with frame f0.
enable all with frame f0.

on value-changed of toggle0
   do:
      message "Checked status changed to: " toggle0:CHECKED "with variable value:" toggle0.
   end.
   
on entry of toggle0
   do:
      message "ENTRY event in toggle-box".
   end.
   
on leave of toggle0
   do:
      message "LEAVE event in toggle-box".
   end.
   
on choose of btnSel
   do:
      message "The button " btnSel:label " was pressed".
   end.

wait-for choose of btnExit.

message "Press a key to finish.".
pause.
